Base URL: https://cloud.mongodb.com/api/public/v1.0
Required Roles
This resource requires the Project Owner.
Resource
GET /groups/{PROJECT-ID}/controlledFeature
Request Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
| string | Required | Unique identifier of the project that has the controlled features. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Description | Default |
|---|---|---|---|
pageNum | integer | Page number (1-index based). |
|
itemsPerPage | integer | Number of items to return per page, up to a maximum of 500. |
|
pretty | boolean | Indicates whether to return the response body in a prettyprint format. |
|
envelope | boolean | Indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set For endpoints that return one result, response body includes:
For endpoints that return a list of results, the | None |
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
| string | Unique identifier of the Project that this policy applies to. |
| string | Timestamp in ISO 8601 date and time format in UTC when this feature control policy was created. |
| string | Timestamp in ISO 8601 date and time format in UTC when this feature control policy was updated. |
| object | Identifying parameters for the external system that manages this Cloud Manager Project. |
| string | Identifying label for the external system that manages this Cloud Manager Project. |
| string | Unique identifier of the external system that manages this Cloud Manager Project. |
| string | Active release of the external system that manages this Cloud Manager Project. |
| array | List of policies that the external system applies to this Cloud Manager Project. |
| object | Single policy set for this Cloud Manager Project. This parameter can be set one or more times in the Possible values are:
|
| array | List of |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/groups/{PROJECT-ID}/controlledFeature?pretty=true"
Example Response
Response Header
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
200 OK Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Response Body
{ "_id": "{PROJECT-ID}", "created": "2019-08-29T15:03:24Z", "updated": "2019-08-29T15:03:24Z", "externalManagementSystem": { "name": "Operator", "systemId": "6d6c139ae5528707b6e8e3b2", "version": "0.2.1" }, "policies": [ {"policy": "ExternallyManagedLock"}, {"policy": "DisableUserManagement"}, {"policy": "DisableAuthenticationMechanisms"}, {"policy": "DisableSetMongodVersion"}, { "policy": "DisableSetMongodConfig", "disabledParams": ["net.tls.CAFile"] } ] }